# Migrate for Compute Engine V1 API - Class Google::Cloud::VMMigration::V1::CreateDiskMigrationJobRequest (v2.9.0)

2.9.0 (latest) 2.8.0 2.7.0 2.6.0 2.5.1 2.4.0 2.3.0 2.2.0 2.1.1 2.0.0 1.3.0 1.2.0 1.1.0 1.0.2 0.9.0 0.8.2 0.7.0 0.6.1 0.5.0 0.4.0 0.3.0 0.2.0 0.1.1 Reference documentation and code samples for the Migrate for Compute Engine V1 API class Google::Cloud::VMMigration::V1::CreateDiskMigrationJobRequest.

Request message for 'CreateDiskMigrationJob' request.

## Inherits

- Object

## Extended By

- Google::Protobuf::MessageExts::ClassMethods

## Includes

- Google::Protobuf::MessageExts

## Methods

### #disk_migration_job

    def disk_migration_job() -> ::Google::Cloud::VMMigration::V1::DiskMigrationJob

**Returns**

- ([::Google::Cloud::VMMigration::V1::DiskMigrationJob](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-vm_migration-v1/latest/Google-Cloud-VMMigration-V1-DiskMigrationJob)) --- Required. The create request body.

### #disk_migration_job=

    def disk_migration_job=(value) -> ::Google::Cloud::VMMigration::V1::DiskMigrationJob

**Parameter**

- **value** ([::Google::Cloud::VMMigration::V1::DiskMigrationJob](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-vm_migration-v1/latest/Google-Cloud-VMMigration-V1-DiskMigrationJob)) --- Required. The create request body.
**Returns**

- ([::Google::Cloud::VMMigration::V1::DiskMigrationJob](https://docs.cloud.google.com/ruby/docs/reference/google-cloud-vm_migration-v1/latest/Google-Cloud-VMMigration-V1-DiskMigrationJob)) --- Required. The create request body.

### #disk_migration_job_id

    def disk_migration_job_id() -> ::String

**Returns**

- (::String) --- Required. The DiskMigrationJob identifier. The maximum length of this value is 63 characters. Valid characters are lower case Latin letters, digits and hyphen. It must start with a Latin letter and must not end with a hyphen.

### #disk_migration_job_id=

    def disk_migration_job_id=(value) -> ::String

**Parameter**

- **value** (::String) --- Required. The DiskMigrationJob identifier. The maximum length of this value is 63 characters. Valid characters are lower case Latin letters, digits and hyphen. It must start with a Latin letter and must not end with a hyphen.
**Returns**

- (::String) --- Required. The DiskMigrationJob identifier. The maximum length of this value is 63 characters. Valid characters are lower case Latin letters, digits and hyphen. It must start with a Latin letter and must not end with a hyphen.

### #parent

    def parent() -> ::String

**Returns**

- (::String) --- Required. The DiskMigrationJob's parent.

### #parent=

    def parent=(value) -> ::String

**Parameter**

- **value** (::String) --- Required. The DiskMigrationJob's parent.
**Returns**

- (::String) --- Required. The DiskMigrationJob's parent.

### #request_id

    def request_id() -> ::String

**Returns**

- (::String) --- Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

  For example, consider a situation where you make an initial request and
  the request timed out. If you make the request again with the same request
  ID, the server can check if original operation with the same request ID
  was received, and if so, will ignore the second request. This prevents
  clients from accidentally creating duplicate commitments.

  The request ID must be a valid UUID with the exception that zero UUID is
  not supported (00000000-0000-0000-0000-000000000000).

### #request_id=

    def request_id=(value) -> ::String

**Parameter**

- **value** (::String) --- Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.


  For example, consider a situation where you make an initial request and
  the request timed out. If you make the request again with the same request
  ID, the server can check if original operation with the same request ID
  was received, and if so, will ignore the second request. This prevents
  clients from accidentally creating duplicate commitments.

  The request ID must be a valid UUID with the exception that zero UUID is
  not supported (00000000-0000-0000-0000-000000000000).
**Returns**

- (::String) --- Optional. A request ID to identify requests. Specify a unique request ID so that if you must retry your request, the server will know to ignore the request if it has already been completed. The server will guarantee that for at least 60 minutes since the first request.

  For example, consider a situation where you make an initial request and
  the request timed out. If you make the request again with the same request
  ID, the server can check if original operation with the same request ID
  was received, and if so, will ignore the second request. This prevents
  clients from accidentally creating duplicate commitments.

  The request ID must be a valid UUID with the exception that zero UUID is
  not supported (00000000-0000-0000-0000-000000000000).